Bug 97628 - [NEWHELP] Move Help content media to helpcontent2/ subproject
Summary: [NEWHELP] Move Help content media to helpcontent2/ subproject
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: ToBeReviewed
Keywords: difficultyBeginner, easyHack, skillScript
Depends on:
Blocks: New-Help
  Show dependency treegraph
 
Reported: 2016-02-07 22:13 UTC by Olivier Hallot
Modified: 2017-06-29 22:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2016-02-07 22:13:37 UTC
This bug is a task for the Help Content Modernization project (https://wiki.documentfoundation.org/Help_Content_Modernization )

Object: Move HC2 media to helpcontent2/ sub-project.

Rationale:

1) Since all HC2 media is under core/icon-themes/galaxy/res/helpimg/ all HC2 media is packed inside the main LibreOffice package even if the user does not download the HC2.

2) The main package is ~200MB and the Help Content package is ~10 MB. When the HC2 get new and rich media, all extra MB will pile in the HC2 package instead of the main package.

3) HC2 media is not used by LibreOffice application except HC2

4) For maintainability purposes, keep HC2 media in the HC2 folders.

Activities:

* Create the media/ folder in helpcontent2/source/ folder
* Create L10N folders under media/ folder.
* Have /en-US/ as L10N fall back
* Adjust helpcontent2/CustomTarget_imagelist.mk to include media/ folder
* move icon-themes/galaxy/res/helpimg/ to the media/en-US/ sub-folder
* ensure media/ is brought to proper package

Difficulty: easy
Comment 1 jani 2016-02-10 10:11:18 UTC
now it is a easyHack.
Comment 2 Marcos Souza 2016-02-16 09:00:20 UTC
I'm working on this bug.
Comment 3 Robinson Tryon (qubit) 2016-02-18 14:52:22 UTC Comment hidden (obsolete)
Comment 4 Olivier Hallot 2016-03-01 20:37:31 UTC
The help subsystem is way more complex than a simple file location issue.

Help text are in jar files under $instdir/help and images are elsewhere.

No benefit at all by fixing this bug.

Closing as invalid. 

Patches will be abandoned.
Comment 5 jani 2016-03-01 20:45:36 UTC
too bad, all that need to be done it twisting a few makefiles, then we would have a solution.
Comment 6 Olivier Hallot 2016-09-29 11:10:56 UTC
Since the recent development of screenshots and commit

https://gerrit.libreoffice.org/gitweb?p=help.git;a=commitdiff;h=da9f009d25a28d75b0c8dabdf57c0e72e505941e

I am reopening this bug to move helpimg/ from core/

core/icon-themes/galaxy/res/helpimg

to 

helpcontent2/source/media/helpimg
Comment 7 jani 2016-10-07 09:26:32 UTC
Updating keywords and status
Comment 8 jani 2016-12-05 08:46:08 UTC Comment hidden (obsolete)
Comment 9 Olivier Hallot 2016-12-05 10:29:44 UTC
Yes. Bubli has patches in gerrit for that.

https://gerrit.libreoffice.org/#/c/30958/
https://gerrit.libreoffice.org/#/c/31417/
Comment 10 Gabor Kelemen 2017-06-29 21:10:31 UTC
Hi Olivier

Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?